Summary: A program that displays text files
Name: less
Version: 633
Release: 4%{?dist}
License: GPLv3+ or BSD
URL: https://www.greenwoodsoftware.com/less/
Source0: https://www.greenwoodsoftware.com/less/%{name}-%{version}.tar.gz
Source1: lesspipe.sh
Source2: less.sh
Source3: less.csh
Patch0001: 0001-Some-constifying.patch
Patch0002: 0002-Implement-osc8_open.patch
Patch0003: 0003-CVE-2024-32487.patch
Patch3000: less-394-time.patch
Patch3001: less-475-fsync.patch
Patch3002: less-436-manpage-add-old-bot-option.patch
Patch3004: less-458-lessecho-usage.patch
Patch3005: less-458-less-filters-man.patch
Patch3006: less-458-lesskey-usage.patch
Patch3007: less-458-old-bot-in-help.patch
BuildRequires: ncurses-devel
BuildRequires: autoconf automake libtool
BuildRequires: make

%description
Less is a file pager that displays text files, has
more capabilities than more. Less allows you to move backwards in the file as
well as forwards. Less starts up more quickly than text editors (for
example, vi). Less allows you to switch between any number of different files, 
remembering your position in each file.

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%prep
%autosetup -p1


%build
rm -f ./configure
autoreconf -fiv
%configure
%make_build CFLAGS="%{optflags} -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make_install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -p        %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%files
%doc README NEWS INSTALL
%license LICENSE COPYING
/etc/profile.d/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 633-4
- Rebuilt for loongarch release

* Thu May 30 2024 Xin Cheng <denisecheng@tencent.com> - 633-3
- [Type] security
- [DESC] fix CVE-2024-32487

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 633-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 633-1
- Upgrade to version 633

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 590-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 590-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Apr 18 2022 Lin Yi <nilusyi@tencent.com> - 590-1
- Package init.
